Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.io
Class FastBufferReader

    java.lang.Object
      java.io.Reader
          org.ajax4jsf.io.FastBufferReader

All Implemented Interfaces:
  Closeable, Readable

    public class FastBufferReader

extends Reader

Class for reading from a char array chain.

Author:
  glory

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`FastBufferReader(CharBuffer buffer)`
`FastBufferReader(FastBufferWriter writer)` Deprecated.

Method Summary
`int` | `available()` Returns the number of chars that may be read from this storage.
`void` | `close()`
`int` | `read()`
`int` | `read(char[] cbuf, int off, int len)`
`void` | `writeTo(Writer writer)` Writes rest of data written up to the moment to out.

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastBufferReader

    public FastBufferReader(CharBuffer buffer)

### FastBufferReader

    @Deprecated
    public FastBufferReader(FastBufferWriter writer)

  Deprecated.

  Creates instance for given writer.

  Parameters:
    `writer` -

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Reader`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`
  See Also:
    `java.io.Reader.read()`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`
  See Also:
    `java.io.Reader.read(char[] cbuf, int off, int len)`

### available

    public int available()
                  throws IOException

  Returns the number of chars that may be read from this storage.

  Returns:
  Throws:
    `IOException`

### writeTo

    public void writeTo(Writer writer)
                 throws IOException

  Writes rest of data written up to the moment to out.

  Parameters:
    `out` -
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.